curl --request POST \
--url https://{tenant}.fincode.software/api/v6/services/usermanagement/register-customer \
--header 'Content-Type: application/json' \
--header 'platform: <platform>' \
--header 'uuid: <uuid>' \
--data '
{
"devicePlatform": "IOS",
"appVersion": "1",
"appId": "com.fincode.remitjunction",
"customerType": "INDIVIDUAL",
"payloadEncrypted": true,
"firstName": "Excel",
"lastName": "Nwachukwu",
"email": "excel.nwachukwu+2@fincode.co.uk",
"dialingCode": "+44",
"phone": "984 573 63733",
"dob": "1989-12-16",
"password": "O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5d...",
"confirmPassword": "O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5d...",
"address": {
"address1": "San Janet Street",
"address2": "",
"countryCommonName": "United Kingdom",
"postcode": "SWA 1AA",
"countryIso3": "GBR"
},
"dynamicFields": {}
}
'import requests
url = "https://{tenant}.fincode.software/api/v6/services/usermanagement/register-customer"
payload = {
"devicePlatform": "IOS",
"appVersion": "1",
"appId": "com.fincode.remitjunction",
"customerType": "INDIVIDUAL",
"payloadEncrypted": True,
"firstName": "Excel",
"lastName": "Nwachukwu",
"email": "excel.nwachukwu+2@fincode.co.uk",
"dialingCode": "+44",
"phone": "984 573 63733",
"dob": "1989-12-16",
"password": "O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5d...",
"confirmPassword": "O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5d...",
"address": {
"address1": "San Janet Street",
"address2": "",
"countryCommonName": "United Kingdom",
"postcode": "SWA 1AA",
"countryIso3": "GBR"
},
"dynamicFields": {}
}
headers = {
"platform": "<platform>",
"uuid": "<uuid>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {platform: '<platform>', uuid: '<uuid>', 'Content-Type': 'application/json'},
body: JSON.stringify({
devicePlatform: 'IOS',
appVersion: '1',
appId: 'com.fincode.remitjunction',
customerType: 'INDIVIDUAL',
payloadEncrypted: true,
firstName: 'Excel',
lastName: 'Nwachukwu',
email: 'excel.nwachukwu+2@fincode.co.uk',
dialingCode: '+44',
phone: '984 573 63733',
dob: '1989-12-16',
password: 'O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5d...',
confirmPassword: 'O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5d...',
address: {
address1: 'San Janet Street',
address2: '',
countryCommonName: 'United Kingdom',
postcode: 'SWA 1AA',
countryIso3: 'GBR'
},
dynamicFields: {}
})
};
fetch('https://{tenant}.fincode.software/api/v6/services/usermanagement/register-customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Customer
Register a new customer account in the FinCode platform
Password Encryption
password and confirmPassword fields can optionally be encrypted using RSA public key encryption before sending to the API.Customer Registration Flow
ThepayloadEncrypted field determines how the system processes your payload:
| Value | Description |
|---|---|
true | Indicates payload is RSA-encrypted. The system will decrypt before processing. |
false | Indicates payload is sent as raw plaintext. Use only for testing or internal systems. |
payloadEncrypted with encrypted passwords to protect customer credentials.Encryption Keys & Tokens
Request Headers
| Header | Type | Required | Description |
|---|---|---|---|
Content-Type | string | Yes | Must be application/json |
platform | string | Yes | Platform identifier. Use fincode |
uuid | string | Yes | Unique request identifier. Use 200 |
Code Examples
const axios = require('axios');
const crypto = require('crypto');
// Encrypt password using RSA public key
function encryptPassword(password, publicKeyBase64) {
const publicKeyPem = `-----BEGIN PUBLIC KEY-----\n${publicKeyBase64}\n-----END PUBLIC KEY-----`;
const encrypted = crypto.publicEncrypt(
{
key: publicKeyPem,
padding: crypto.constants.RSA_PKCS1_OAEP_PADDING,
oaepHash: 'sha256',
},
Buffer.from(password, 'utf8')
);
return encrypted.toString('base64');
}
async function createCustomer(customerData, publicKey) {
// Encrypt passwords before sending
const encryptedPassword = encryptPassword(customerData.password, publicKey);
try {
const response = await axios.post(
'https://agent.fincode.software/api/v6/services/usermanagement/register-customer',
{
devicePlatform: customerData.devicePlatform,
appVersion: customerData.appVersion,
appId: customerData.appId,
customerType: customerData.customerType,
payloadEncrypted: true, // Required for encrypted data
firstName: customerData.firstName,
lastName: customerData.lastName,
email: customerData.email,
address: {
street: customerData.address.street,
city: customerData.address.city,
state: customerData.address.state,
postalCode: customerData.address.postalCode,
country: customerData.address.country,
},
dialingCode: customerData.dialingCode,
phone: customerData.phone,
dob: customerData.dob,
password: encryptedPassword,
confirmPassword: encryptedPassword,
dynamicFields: customerData.dynamicFields || {},
},
{
headers: {
'Content-Type': 'application/json',
platform: 'fincode',
uuid: '200',
},
}
);
console.log('Customer created successfully!');
console.log('Customer ID:', response.data.customerId);
return response.data;
} catch (error) {
console.error(
'Failed to create customer:',
error.response?.data || error.message
);
throw error;
}
}
curl -X POST "https://agent.fincode.software/api/v6/services/usermanagement/register-customer" \
-H "Content-Type: application/json" \
-H "platform: fincode" \
-H "uuid: 200" \
-d '{
"devicePlatform": "Android",
"appVersion": "1",
"appId": "com.app.remit_junction",
"customerType": "INDIVIDUAL",
"customerRegistrationFlow": "EXTERNAL_CUSTOMER_SETUP_FLOW",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"dialingCode": "+44",
"phone": "973 293 74813",
"dob": "1990-05-15T00:00:00+01:00",
"password": "O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5dEVScmSb74/OwCjYEo1akURB+hD1fC5E/SHVEZIWMY6OKZjFqGx4fCd5gtS3z2kQsdWdm6rqd7144pZbB7PPzkK/I5kIM2TyzOlfMg4nMNNTbwowhzt1cn1YK9kGwkLQgdpSv1BNHkiSaXXl+I6FAqPEVt7leJGJ5njkv7abxkYpIB8JjDYGdQzBAzBXCRysBuJSrLVgU78eAqQ3OvVRzS5pvdFDPhWPaqvOt7Xz+NaH3P3X6JS7XF14h0+fll/rvYTg+OqPLu4yX68PaGf6gcg==",
"confirmPassword": "O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5dEVScmSb74/OwCjYEo1akURB+hD1fC5E/SHVEZIWMY6OKZjFqGx4fCd5gtS3z2kQsdWdm6rqd7144pZbB7PPzkK/I5kIM2TyzOlfMg4nMNNTbwowhzt1cn1YK9kGwkLQgdpSv1BNHkiSaXXl+I6FAqPEVt7leJGJ5njkv7abxkYpIB8JjDYGdQzBAzBXCRysBuJSrLVgU78eAqQ3OvVRzS5pvdFDPhWPaqvOt7Xz+NaH3P3X6JS7XF14h0+fll/rvYTg+OqPLu4yX68PaGf6gcg==",
"address": {
"address1": "123 High Street",
"address2": "",
"countryCommonName": "United Kingdom",
"postcode": "SW1A 1AA",
"countryIso3": "GBR"
},
"dynamicFields": {}
}'
Using payloadEncrypted: false (Testing Only)
Using payloadEncrypted: false (Testing Only)
curl -X POST "https://agent.fincode.software/api/v6/services/usermanagement/register-customer" \
-H "Content-Type: application/json" \
-H "platform: fincode" \
-H "uuid: 200" \
-d '{
"devicePlatform": "Android",
"appVersion": "1",
"appId": "com.app.remit_junction",
"customerType": "INDIVIDUAL",
"payloadEncrypted": false,
"firstName": "John",
"lastName": "Doe",
"email": "john.doe+test@example.com",
"dialingCode": "+44",
"phone": "973 293 74813",
"dob": "1990-05-15T00:00:00+01:00",
"password": "SecurePass123!",
"confirmPassword": "SecurePass123!",
"address": {
"address1": "123 High Street",
"address2": "",
"countryCommonName": "United Kingdom",
"postcode": "SW1A 1AA",
"countryIso3": "GBR"
},
"dynamicFields": {}
}'
payloadEncrypted: false in production environments as it transmits passwords without encryption.Validation Rules
Email Validation
Email Validation
- Must be a valid email format - Must be unique across all customers in the tenant - Cannot be changed after creation - Maximum length: 255 characters
Password Requirements
Password Requirements
- Minimum 8 characters - At least one uppercase letter (A-Z) - At least one lowercase letter (a-z) - At least one number (0-9) - At least one special character (!@#$%^&*) - Cannot contain common words or patterns
Phone Number Format
Phone Number Format
- Must be in international format with country code - Example: +447123456789 (UK), +12125551234 (US) - No spaces or special characters except leading + - Must be a valid phone number for the country
Age Requirement
Age Requirement
- Customer must be at least 18 years old - Date of birth must be in ISO format (YYYY-MM-DD) - Cannot be a future date - Cannot be more than 120 years ago
Name Validation
Name Validation
- First name: 2-50 characters - Last name: 2-50 characters - Only letters, spaces, hyphens, and apostrophes allowed - No numbers or special characters
Related Endpoints
Login
Submit KYC Documents
Body
"IOS"
"1"
"com.fincode.remitjunction"
INDIVIDUAL, COMPANY "INDIVIDUAL"
Determines whether the payload contains encrypted or raw data. Use payloadEncrypted: true when sending encrypted passwords, or payloadEncrypted: false for raw passwords.
true
"Excel"
"Nwachukwu"
"excel.nwachukwu+2@fincode.co.uk"
"+44"
"984 573 63733"
"1989-12-16"
Customer password. Must be RSA-encrypted (Base64) when using payloadEncrypted is true, or raw when using false.
"O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5d..."
Must match the password field. Must be RSA-encrypted (Base64) when using payloadEncrypted is true, or raw when false.
"O5ti8XI/pLYC27E+ehORvg2YplXqX3ckoS7Kzk9cEdtC+LSzVICID9c/Tzsi0V5d..."
Show child attributes
Show child attributes
Response
Customer registered successfully
